Bug 1950489 - The referred role doesn't exist if create rolebinding from rolebinding tab of role page
Summary: The referred role doesn't exist if create rolebinding from rolebinding tab of...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1949410
Blocks: 1950490
TreeView+ depends on / blocked
 
Reported: 2021-04-16 18:02 UTC by OpenShift BugZilla Robot
Modified: 2021-07-27 11:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when creating a new binding from the role bindings tab of the role page, the web console would prefill the incorrect role name and namespace in the resulting form. This has been fixed.
Clone Of:
Environment:
Last Closed: 2021-05-19 15:16:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8685 0 None open [release-4.7] Bug 1950489: Fix "Create binding" link from Role page, RoleBindings tab 2021-04-26 17:15:05 UTC
Red Hat Product Errata RHBA-2021:1550 0 None None None 2021-05-19 15:16:36 UTC

Comment 2 Yadan Pei 2021-04-27 06:24:46 UTC
Launched a cluster using cluster-bot with PR #8685

1. cluster admin user goes to "User Management"->"Roles" page, click into role "cluster-admin".
2. create rolebinding by click "Create binding" on "RoleBindings" tab, now the "Role name" is set to "cluster-admin" by default.
3. Create either Namespace Rolebinding or Cluster Rolebinding, check the rolebinding YAML roleRef, now it is correctly set to ClusterRole cluster-admin
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: cluster-admin

Comment 4 Yadan Pei 2021-05-07 02:09:51 UTC
PR has been verified before merging, moving to VERIFIED directly

Comment 7 errata-xmlrpc 2021-05-19 15:16:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1550


Note You need to log in before you can comment on or make changes to this bug.